.modal-backdrop {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal {
    top: 50%;
    left: 50%;
    z-index: 10;
    max-height: 80%;
    position: fixed;
    overflow-y: auto;
    /* min-height: 100px; */
    min-width: 50%;
    min-height: 50%;
    border-radius: 5px;
    background-color: #fff;
    border: 1px solid #ddd;
    transform: translate(-50%, -50%);
    padding:25px;
}

.modal .title {
    font-size: var(--font-lg);
    font-weight: 600;
}

.modal .close {
    top: 26px;
    right: 26px;
    cursor: pointer;
    position: absolute;
    z-index: 20;
}

@media screen and (max-width: 768px) {
    .modal {
        /*top: 0;*/
        padding: 25px;
        width: 100%;
        height: 100%;
        border-radius: 0;
        max-height: 100%;
        min-height: 100px;
    }

    .modal.full {
        padding: 0 !important;
    }

    .modal-small {
        width: 90%;
        height: auto;
        max-height: 100%;
        border-radius: 5px;
    }
}
